#include "list.hh"

#include <iostream>
#include <stdlib.h>

using namespace std;


int main(int argc, char* argv[]) {

	int i = atoi(argv[1]);
	int k = atoi(argv[2]);
	
	List<int> l1;
	for (i; i<k; i++)
		l1.push_back(i);
		
	i = atoi(argv[3]);
	k = atoi(argv[4]);
	
	List<int> l2;
	for (i; i<k; i++)
		l2.push_back(i);
	
	cout << "l1: {";	
	for(List<int>::iterator it = l1.begin(); it != l1.end(); it++){
               cout << (*it) << ",";
     }     
     cout << "}" << endl;
     
     cout << "l2: {";
     for(List<int>::iterator it = l2.begin(); it != l2.end(); it++){
               cout << (*it) << ",";
     }
     cout << "}" << endl;
     
     int count = 0;
     for(List<int>::iterator it = l1.begin(); it != l1.end(); it++){
          for(List<int>::iterator it1 = l2.begin(); it1 != l2.end(); it1++){
          	if (*it == *it1) {
          		count++;
          	}    
    		}
     }
     cout << "equal element in l1 and l2: " << count << endl;
     
     l1.push_back(-100);
     l2.push_back(-100);
     cout << "l1: {";	
	for(List<int>::iterator it = l1.begin(); it != l1.end(); it++){
               cout << (*it) << ",";
     }     
     cout << "}" << endl;
     
     cout << "l2: {";
     for(List<int>::iterator it = l2.begin(); it != l2.end(); it++){
               cout << (*it) << ",";
     }
     cout << "}" << endl;
     
     List<int> l(l2);
     cout << "l: {";
     for(List<int>::iterator it = l.begin(); it != l.end(); it++){
               cout << (*it) << ",";
     }
     cout << "}" << endl;
     
     for(List<int>::reverse_iterator it = l1.rbegin(); it != l1.rend(); it++) {
     	l.push_front(*it);
     }
   
     cout << "l: {";
     for(List<int>::iterator it = l.begin(); it != l.end(); it++){
               cout << (*it) << ",";
     }
     cout << "}" << endl;
     
     List<int>::iterator bit = l.begin();     
     while(*bit!=-100) {
     	bit++;
     }
     l.erase(bit, l.end());
     
     cout << "l: {";
     for(List<int>::iterator it = l.begin(); it != l.end(); it++){
               cout << (*it) << ",";
     }
     cout << "}" << endl;	
	
	return 0;
}












